Page MenuHomePhabricator

treedirstate: implement casefolding maps for case insensitive filesystems
ClosedPublic

Authored by mbthomas on Nov 14 2017, 12:39 PM.

Details

Summary

The dirfoldmap and filefoldmap on the dirstatemap object map from normalized
filename to the form it appears in the dirstate (denormalized form).

The dicts these functions return are also modified by the dirstate with
filenames discovered by examining the disk, so use an overlay dictionary backed
by the real dirstate to allow this to happen.

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mbthomas created this revision.Nov 14 2017, 12:39 PM
Herald added a reviewer: Restricted Project. · View Herald TranscriptNov 14 2017, 12:39 PM
mbthomas updated this revision to Diff 3606.Nov 17 2017, 9:45 AM
mbthomas updated this revision to Diff 3661.Nov 20 2017, 12:21 PM
mbthomas updated this revision to Diff 3736.Nov 21 2017, 1:36 PM
mbthomas updated this revision to Diff 3776.Nov 22 2017, 1:14 PM
quark accepted this revision.Nov 23 2017, 6:30 PM
quark added a subscriber: quark.
quark added inline comments.
treedirstate/__init__.py
81

key in s is in theory more efficient - it avoids a method table lookup.

This revision is now accepted and ready to land.Nov 23 2017, 6:30 PM
mbthomas updated this revision to Diff 3830.Nov 24 2017, 11:53 AM
mbthomas updated this revision to Diff 3847.Nov 24 2017, 3:18 PM
mbthomas updated this revision to Diff 3870.Nov 27 2017, 8:00 AM
durham accepted this revision.Nov 27 2017, 1:04 PM
durham added a subscriber: durham.

Could use tests.

mbthomas updated this revision to Diff 3889.Nov 27 2017, 4:33 PM
This revision was automatically updated to reflect the committed changes.